<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="channelf">
        <input>
            <port tag=":LEFT_C" type="P2_JOYSTICK_RIGHT" mask="1" defvalue="0">
                <newseq type="standard">
                    KEYCODE_K
                </newseq>
            </port>
            <port tag=":LEFT_C" type="P2_JOYSTICK_LEFT" mask="2" defvalue="0">
                <newseq type="standard">
                    KEYCODE_H
                </newseq>
            </port>
            <port tag=":LEFT_C" type="P2_JOYSTICK_DOWN" mask="4" defvalue="0">
                <newseq type="standard">
                    KEYCODE_U
                </newseq>
            </port>
            <port tag=":LEFT_C" type="P2_JOYSTICK_UP" mask="8" defvalue="0">
                <newseq type="standard">
                    KEYCODE_J
                </newseq>
            </port>
            <port tag=":LEFT_C" type="P2_BUTTON4" mask="16" defvalue="0">
                <newseq type="standard">
                    KEYCODE_A
                </newseq>
            </port>
            <port tag=":LEFT_C" type="P2_BUTTON3" mask="32" defvalue="0">
                <newseq type="standard">
                    KEYCODE_S
                </newseq>
            </port>
            <port tag=":LEFT_C" type="P2_BUTTON2" mask="64" defvalue="0">
                <newseq type="standard">
                    KEYCODE_D
                </newseq>
            </port>
            <port tag=":LEFT_C" type="P2_BUTTON1" mask="128" defvalue="0">
                <newseq type="standard">
                    KEYCODE_F
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_JOYSTICK_RIGHT" mask="1" defvalue="0">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_JOYSTICK_LEFT" mask="2" defvalue="0">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_JOYSTICK_DOWN" mask="4" defvalue="0">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_JOYSTICK_UP" mask="8" defvalue="0">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_BUTTON4" mask="16" defvalue="0">
                <newseq type="standard">
                    KEYCODE_V
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_BUTTON3" mask="32" defvalue="0">
                <newseq type="standard">
                    KEYCODE_C
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_BUTTON2" mask="64" defvalue="0">
                <newseq type="standard">
                    KEYCODE_X
                </newseq>
            </port>
            <port tag=":RIGHT_C" type="P1_BUTTON1" mask="128" defvalue="0">
                <newseq type="standard">
                    KEYCODE_Z
                </newseq>
            </port>
        </input>
        <image_directories>
            <device instance="cartridge" directory="" />
        </image_directories>
    </system>
</mameconfig>
